## commonj.sdo
Interface DataGraph

All Known Subinterfaces:
  EDataGraph

All Known Implementing Classes:
  EDataGraphImpl

    public interface DataGraph

A data graph is used to package a graph of `data objects` along with their metadata, that is, data describing the data. A data graph also contains a `change summary` which is used to record changes made to the objects in the graph.

Method Summary
`DataObject` `createRootObject(java.lang.String namespaceURI, java.lang.String typeName)` Creates a new root data object of the `specified type`, replacing the existing root, if one exists.
`DataObject` `createRootObject(Type type)` Creates a new root data object of the specified type, replacing the existing root, if one exists.
`ChangeSummary` `getChangeSummary()` Returns the `change summary` associated with this data graph.
`DataObject` `getRootObject()` Returns the root `data object` of this data graph.
`Type` `getType(java.lang.String uri, java.lang.String typeName)` Returns the `type` with the given the `URI`, or contained by the resource at the given URI, and with the given `name`.

Method Detail

### getRootObject

    DataObject getRootObject()

  Returns the root `data object` of this data graph.

  Returns:
    the root data object.
  See Also:
    `DataObject.getDataGraph()`

### createRootObject

    DataObject createRootObject(java.lang.String namespaceURI,
                                java.lang.String typeName)

  Creates a new root data object of the `specified type`, replacing the existing root, if one exists.

  Parameters:
    `namespaceURI` - namespace of the type.
    `typeName` - name of the type.
  Returns:
    the new root.
  See Also:
    `createRootObject(Type)`, `getType(String, String)`

### createRootObject

    DataObject createRootObject(Type type)

  Creates a new root data object of the specified type, replacing the existing root, if one exists.

  Parameters:
    `type` - the type of the new root.
  Returns:
    the new root.
  See Also:
    `createRootObject(String, String)`

### getChangeSummary

    ChangeSummary getChangeSummary()

  Returns the `change summary` associated with this data graph.

  Returns:
    the change summary.
  See Also:
    `ChangeSummary.getDataGraph()`

### getType

    Type getType(java.lang.String uri,
                 java.lang.String typeName)

  Returns the `type` with the given the `URI`, or contained by the resource at the given URI, and with the given `name`.

  Parameters:
    `uri` - the namespace URI of a type or the location URI of a resource containing a type.
    `typeName` - name of a type.
  Returns:
    the type with the corresponding namespace and name.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.